Package org.eclipse.emf.cdo.spi.common.protocol

## Class CDODataInputImpl.Default

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedDataInput.Delegating
  - - org.eclipse.emf.cdo.spi.common.protocol.CDODataInputImpl
    - - org.eclipse.emf.cdo.spi.common.protocol.CDODataInputImpl.Default

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataInput`, `java.lang.AutoCloseable`, `CDODataInput`, `org.eclipse.net4j.util.io.ExtendedDataInput`
  Enclosing class:
    CDODataInputImpl

      public static final class CDODataInputImpl.Default
      extends CDODataInputImpl

  A concrete subclass of `CDODataInputImpl`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.protocol.CDODataInputImpl

      `CDODataInputImpl.Default`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `org.eclipse.net4j.util.io.ExtendedDataInput.Delegating, org.eclipse.net4j.util.io.ExtendedDataInput.Stream`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Default​(org.eclipse.net4j.util.io.ExtendedDataInput delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CDOBranchManager` | `getBranchManager()` |
    `protected CDOCommitInfoManager` | `getCommitInfoManager()` |
    `protected CDOListFactory` | `getListFactory()` |
    `protected CDOLobStore` | `getLobStore()` |
    `CDOPackageRegistry` | `getPackageRegistry()` |
    `protected CDORevisionFactory` | `getRevisionFactory()` |

    - ### Methods inherited from class org.eclipse.emf.cdo.spi.common.protocol.CDODataInputImpl

      `getPackageURICompressor, isXCompression, readCDOBranch, readCDOBranchPoint, readCDOBranchVersion, readCDOChangeSetData, readCDOClassifierRef, readCDOClassifierRefAndResolve, readCDOCommitData, readCDOCommitInfo, readCDOFeatureDelta, readCDOFeatureValue, readCDOID, readCDOIDAndBranch, readCDOIDAndVersion, readCDOIDReference, readCDOList, readCDOLockArea, readCDOLockChangeInfo, readCDOLockOwner, readCDOLockState, readCDOLockType, readCDOPackageInfo, readCDOPackageUnit, readCDOPackageUnits, readCDOPackageUnitType, readCDOPackageURI, readCDORevisable, readCDORevision, readCDORevision, readCDORevisionDelta, readCDORevisionKey, readCDORevisionOrPrimitive, readCDORevisionOrPrimitiveOrClassifier, readCDOType, readXInt, readXLong`

    - ### Methods inherited from class org.eclipse.net4j.util.io.ExtendedDataInput.Delegating

      `close, getDelegate, readBoolean, readByte, readByteArray, readChar, readDouble, readEnum, readException, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObject, readObject, readShort, readString, readUnsignedByte, readUnsignedShort, readUTF, readVarInt, readVarLong, skipBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

    - ### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `readByteArray, readEnum, readException, readObject, readObject, readObject, readString, readVarInt, readVarLong`

- - ### Constructor Detail

    - #### Default

          public Default​(org.eclipse.net4j.util.io.ExtendedDataInput delegate)

  - ### Method Detail

    - #### getRevisionFactory

          protected CDORevisionFactory getRevisionFactory()

      Specified by:
        `getRevisionFactory` in class `CDODataInputImpl`

    - #### getPackageRegistry

          public CDOPackageRegistry getPackageRegistry()

    - #### getLobStore

          protected CDOLobStore getLobStore()

      Specified by:
        `getLobStore` in class `CDODataInputImpl`

    - #### getListFactory

          protected CDOListFactory getListFactory()

      Specified by:
        `getListFactory` in class `CDODataInputImpl`

    - #### getCommitInfoManager

          protected CDOCommitInfoManager getCommitInfoManager()

      Specified by:
        `getCommitInfoManager` in class `CDODataInputImpl`

    - #### getBranchManager

          protected CDOBranchManager getBranchManager()

      Specified by:
        `getBranchManager` in class `CDODataInputImpl`